<script setup>
import { onMounted, ref } from 'vue';

const info = ref('');
const loading = ref(true);
const errored = ref(false);

const currencydecimal = (value) => {
  return value.toFixed(2);
};

onMounted(() => {
  fetch('https://api.coindesk.com/v1/bpi/currentprice.json')
  .then(response => response.json())
  .then(data => {
    loading.value = false;
    errored.value = false;
    info.value = data.bpi;
  }).catch((error) => {
    console.error(error);
    loading.value = false;
    errored.value = true;
  })
});
  
</script>

<template>
  <div class="ml-6 mt-6" id="app">
    <div class="columns is-vcentered">
      <div class="column"></div>
      <div class="column">
        <figure class="image is-128x128">
          <img alt="Vue logo" src="./assets/bitcoin.png"/>
        </figure>
        <h1 class="title">es010 bitcoin pwa</h1>
        <h2 class="subtitle">Bitcoin Price Index</h2> 
        <div v-if="loading">
          <p  class="has-text-warning"> ... loading</p>
        </div>
        <div v-else>
          <div v-if="errored">
            <p class="has-text-danger"> unable to etrieve information! </p>
          </div>
        <div v-else v-for="(currency, index) in info" :key="index" class="currency">
           {{ currency.description }}:
           <span class="has-text-weight-medium has-text-primary-light">
             <span v-html="currency.symbol"></span>
             {{ currencydecimal(currency.rate_float) }}
           </span>
        </div>
      </div>
      </div>
      <div class="column"></div>
    </div>
  </div>
</template>

<style>
@import 'https://cdn.jsdelivr.net/npm/bulma@1.0.0/css/bulma.min.css';
</style>
